Bug 96099 - Reduce number of typedefs used for trivial container types
Summary: Reduce number of typedefs used for trivial container types
Status: CLOSED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.2.0 target:5.3.0 target:5.4....
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks:
 
Reported: 2015-11-27 10:40 UTC by Tor Lillqvist
Modified: 2018-08-24 19:26 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
diff file of this bug (16.16 KB, patch)
2017-03-23 18:19 UTC, bhimanshu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tor Lillqvist 2015-11-27 10:40:16 UTC
Our code uses typedefs for trivial containers of simple types here and there, like std::vector<int>, std::vector<sal_Int32>, std::vector<OUString>. Such typedefs are not necessarily helpful, but just make the code harder to read and understand.

Also, the naming of the typedefs is far from uniform. Some that use std::vector are called "list", others "stack", others "vector". Both "list" and "stack" have specific meanings already in the C++ library, so using such a name for a std::vector is misleading.

The task here is to get rid of such silly typedefs. Just use the std::vector<whatever> instead, etc. When applicable, use 'auto' for the iterator types of the container. Etc.

Please do this for just a handful of cases at a time. Obviously you should test compile your changes before submitting.

Reviewers, please make sure that suggested patches don't misunderstand the task and actually make the code worse. (Sure, I know that might be a matter of taste.)
Comment 1 Robinson Tryon (qubit) 2015-12-14 06:29:50 UTC Comment hidden (obsolete)
Comment 2 Pranav Ganorkar 2016-02-13 14:28:16 UTC
I want to work on this bug...can someone please elaborate in detail exactly where the changes are required...Thanks...
Comment 3 Buovjaga 2016-02-13 15:00:02 UTC
(In reply to Pranav Ganorkar from comment #2)
> I want to work on this bug...can someone please elaborate in detail exactly
> where the changes are required...Thanks...

Tor said "here and there", so you should use git grep to find out exactly where.
Comment 4 Robinson Tryon (qubit) 2016-02-18 14:52:12 UTC Comment hidden (obsolete)
Comment 5 Commit Notification 2016-03-07 06:34:45 UTC
Chirag Manwani committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cbbeb771ba3df1d87a69d2115234d88f520ce0e6

tdf#96099 Reduce number of trivial typedefs

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Apachev Ivan 2016-03-07 17:19:56 UTC
Hi, I'm new to LibreOffice. I found many of these are typedefs and would like to fix them. I want to see the code to participate in GSOC'16. Сan I assign a bug to yourself?
Comment 7 Buovjaga 2016-03-07 17:43:33 UTC
(In reply to Apachev Ivan from comment #6)
> Hi, I'm new to LibreOffice. I found many of these are typedefs and would
> like to fix them. I want to see the code to participate in GSOC'16. Сan I
> assign a bug to yourself?

No need to assign. Your comment is enough.
Comment 8 jani 2016-03-07 17:46:56 UTC
(In reply to Buovjaga from comment #7)
> (In reply to Apachev Ivan from comment #6)
> > Hi, I'm new to LibreOffice. I found many of these are typedefs and would
> > like to fix them. I want to see the code to participate in GSOC'16. Сan I
> > assign a bug to yourself?
> 
> No need to assign. Your comment is enough.

This is not totally correct, if you do not assign it, it still appears on our lists, which is why it is recommended to assign it to yourself (exception is bugs where multiple people can work in parallel).

Please have a look at our step by step guide:

https://wiki.documentfoundation.org/Development/GetInvolved
Comment 9 Apachev Ivan 2016-03-07 18:18:21 UTC
(In reply to jan iversen from comment #8)
> (In reply to Buovjaga from comment #7)
> > (In reply to Apachev Ivan from comment #6)
> > > Hi, I'm new to LibreOffice. I found many of these are typedefs and would
> > > like to fix them. I want to see the code to participate in GSOC'16. Сan I
> > > assign a bug to yourself?
> > 
> > No need to assign. Your comment is enough.
> 
> This is not totally correct, if you do not assign it, it still appears on
> our lists, which is why it is recommended to assign it to yourself
> (exception is bugs where multiple people can work in parallel).
> 
> Please have a look at our step by step guide:
> 
> https://wiki.documentfoundation.org/Development/GetInvolved

Okey. I already read this. And I just asked to avoid confusion. I will assign. Thank you.
Comment 10 Jakub Trzebiatowski 2016-03-07 19:44:33 UTC
I want to work on it.
Fixed some:
https://gerrit.libreoffice.org/#/c/23007/
Comment 11 jani 2016-03-07 19:50:32 UTC
(In reply to Jakub Trzebiatowski from comment #10)
> I want to work on it.
> Fixed some:
> https://gerrit.libreoffice.org/#/c/23007/

This is the problem, by not assigning. Jacub please be aware that there is a potential conflict, I suggest you both agree who do what.
Comment 12 Apachev Ivan 2016-03-09 14:41:32 UTC
I fixed some of these.
https://gerrit.libreoffice.org/#/c/23060/
Comment 13 Tor Lillqvist 2016-03-09 17:32:04 UTC
Looking more closely at the locations where people are finding such typedefs, it is obvious that not all of them should be dropped. In many cases (as in Ivan's suggested change above) having a typedef for some std container *is* useful. The hard thing is for a newbie to be able to "sense" which cases are useful, which not.
Comment 14 Commit Notification 2016-03-15 06:29:36 UTC
Jakub Trzebiatowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=89e0663c55f7f1763536a345d63111115c71ef26

tdf#96099 fix trival typedefs, Path to std::vector<OUString>

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Tor Lillqvist 2016-03-15 06:39:26 UTC
I think a good way to estimate whether a such "trivial typedef" deserves to stay, or should be expanded away, is to see what the typedef is called. If it has some clearly informative and specific name, that tells what it is used for, then it should stay.

But if a std::vector<OUString> is typedeffed as StringVec, then I find it hard to believe that seeing 'StringVec' is more useful than seeing 'std::vector<OUString>'. 

(And if I am wrong above, if it is considered useful from a readability point of view to have typedefs like StringVec, then surely we should have a consistent and global convention for those, not random local typedefs here and there. We are no longer a project split into strictly delimited sub-projects where one should not touch somebody else's code, and prefer to copy-paste, as might have been the policy in Sun days.)
Comment 16 Tor Lillqvist 2016-03-15 06:46:56 UTC
Another case where expanding away trivial typedefs is where the typedef name makes the reader expect something more powerful than what it actually is. For instance the 'typedef std::vector< OUString > Path' that was just handled. At least to me, seeing a type called 'Path' (without knowing what it actually is), makes me tend to assume it is some featureful abstraction of path names in some platform-independent manner.

(Just my personal vague opinions; I am not insisting on anything.)
Comment 17 Apachev Ivan 2016-03-15 15:51:06 UTC
I corrected according to your comments. But they didn't check my changes.
https://gerrit.libreoffice.org/#/c/23060/
Comment 18 Apachev Ivan 2016-03-19 03:37:04 UTC
Please review my patch  https://gerrit.libreoffice.org/#/c/23060/
Comment 19 Commit Notification 2016-03-19 15:06:02 UTC
Jakub Trzebiatowski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b869ee1950c3035a7f24de186e5112be6f71371a

tdf#96099 fix trival typedef, sc/source/core/, std::vector<std::string>

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2016-03-29 13:35:58 UTC
Apachev Ivan committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b69e258b82e6dad94b2784f250b6a105108ee0f

tdf#96099 fixes trivial typedefs, ::std::vector<OUString>

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2016-03-30 06:43:52 UTC
slideon committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7b3dbf6cd1bad9a1cc94221952ac6cc54280b7d2

tdf#96099 Remove trivial typedefs from vcl module

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Tor Lillqvist 2016-04-19 06:39:38 UTC
I think this is a bug that can well be handled by several people in parallel. Is assigning to yourself really a good idea?
Comment 23 jani 2016-04-19 06:47:52 UTC
As noted, this is a Easyhack where many can work in parallel, so unassigning.
Comment 24 Commit Notification 2016-06-02 07:37:42 UTC
krishna keshav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0843884a0929ae4e5ad30e2410d8a8f6dfb1670

tdf#96099 Reduce number of typedefs used for trivial container types

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 25 Commit Notification 2016-06-03 10:59:51 UTC
krishna keshav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6d29b6d80aef8b94cd8ef0608c2af31532afc942

tdf#96099 Reduce number of typedefs used for trivial container types

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 26 Commit Notification 2016-06-03 15:22:07 UTC
krishna keshav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=faaacb997b3c404048bd986caf9e4b5f5263cb3c

tdf#96099 Reduce number of typedefs used for trivial container types

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2016-06-04 00:17:43 UTC
krishna keshav committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b2abb97a6545096d6952430f7ff37cadb1a23707

tdf#96099 Reduce number of typedefs used for trivial container types

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2016-06-04 09:46:36 UTC
Mark Page committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=954f853c7b776719a6dfd5230d2be6ea3e948fcf

tdf#96099 Remove sfx std::shared_ptr typedefs

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2016-06-08 11:00:28 UTC
Mark Page committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5164ac456f3cb51949fe3bec293660fab74d26de

tdf#96099 Remove SfxInterfaceArr_Impl typedef

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2016-06-08 11:10:55 UTC
Mark Page committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=22fa9289fdc6fd8d82d754adfef39fee3fd3c52f

tdf#96099 Remove various smart pointer typedefs

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 Commit Notification 2016-06-09 12:57:25 UTC
Mark Page committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8561f8bfccb73ce4ac834598c4c32ac5c81774e5

tdf#96099 Remove various smart pointer typedefs in canvas

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 32 Commit Notification 2016-06-10 07:26:52 UTC
Mark Page committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99200d7cc2a952f92074934c647db076aae5e48b

tdf#96099 Remove various smart pointer typedefs in vcl

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 33 jani 2016-06-14 10:03:55 UTC Comment hidden (obsolete)
Comment 34 Commit Notification 2016-10-13 10:17:37 UTC
Asela Dasanayaka committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4f0f1b6b5554f49dfe8cca1088d3e5b342b4fd2a

tdf#96099 Reduce no of typedefs used for trivial containers

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 35 Commit Notification 2016-10-16 10:42:40 UTC
Hieronymous committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01dc6d098def20d6db57a13e8b2d79492a051fce

tdf#96099 Reduce no. of useless typedefs for trivial containers.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Commit Notification 2016-11-15 09:11:00 UTC
Chamal committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4eb2863e95fb823d205f1ce0da21f7187339e3ff

tdf#96099 Reduce no of typedefs used for trivial containers

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 37 Commit Notification 2017-03-22 11:34:05 UTC
Dennis Nielen committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=021c51ad3ea8f408391670a173887b4c689bfa65

tdf#96099 Reduce no of typedefs used for trivial containers

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Tor Lillqvist 2017-03-23 17:26:14 UTC
No need to assign, there is room for multiple people to work on this in parallel.
Comment 39 bhimanshu 2017-03-23 18:19:20 UTC
Created attachment 132107 [details]
diff file of this bug
Comment 40 Tor Lillqvist 2017-03-28 07:17:19 UTC
(In reply to bhimanshu from comment #39)
> diff file of this bug

Please use gerrit, as documented in our wiki.
Comment 41 Commit Notification 2017-08-12 18:52:30 UTC
Ivan Safonov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c88d4ddfcdbf3fcaf7eddbfc56ec9e15392ecf85

tdf#96099 Remove ActionSharedPtr typedef

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 Commit Notification 2017-08-15 07:06:52 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b051f4baa9f25e5d00fca941162b4515c76331ec

tdf#96099: Get rid of one more pointless typedef

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 43 Commit Notification 2017-08-15 07:07:00 UTC
Tor Lillqvist committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7172a7e4a64a67d43d16c2fbdbe9015fb5bf5a0c

tdf#96099: Get rid of one more pointless typedef

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 44 Tamás Zolnai 2017-08-15 10:52:33 UTC
Hi guys,

I see some good candidates in writerfilter code. Pointer types used to be defined for different handlers (e.g.: OLEHandlerPtr). I think it's better to see the actual pointer type when looking at the code.
Use this command to find this kind of typedefs:
git grep ".*HandlerPtr"
Comment 45 Archit Jugran 2017-12-22 10:07:59 UTC
HI can i work on this bug as my first bug. i definitely know how to solve it. Just want to know whether this bug has been solved or i am still allowed to do it?
Comment 46 Buovjaga 2017-12-22 10:12:18 UTC
(In reply to Archit Jugran from comment #45)
> HI can i work on this bug as my first bug. i definitely know how to solve
> it. Just want to know whether this bug has been solved or i am still allowed
> to do it?

It is an ongoing task and multiple people can work on it. To avoid overlapping work, you can check https://gerrit.libreoffice.org/ if there are pending patches (use message: in the search)
Comment 47 Commit Notification 2018-01-10 14:21:28 UTC
ekuiitr committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=728104b31c89c93c8211fcd78a2c7a38192268eb

tdf#96099 Removed some trivial typedefs related to UnOrderedMap and size_t.

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Shubham Verma 2018-01-31 14:58:19 UTC
Hi 
May I work on this ?
Comment 49 Tor Lillqvist 2018-01-31 14:59:21 UTC
See above.
Comment 50 Commit Notification 2018-04-06 23:44:42 UTC
kowther committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ec490fc757d9a8e395d5e11f138062d86738ff2

tdf#96099: replaced trivial typedef OStringVector

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2018-05-11 17:26:43 UTC
Abhyudaya Sharma committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95d5fc76defa9cba9e69b9eac4e732c60c516eb0

tdf#96099 Remove trivial StringVector typedef

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2018-05-21 08:19:23 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5dab28cdada9a24ad2ddae1083ac977fe87cb1c1

tdf#96099 Remove unused typedef from shell/source/tools/lngconvex

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Commit Notification 2018-05-28 07:40:13 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f62243c7bb620d821ae84366235111c47a99bae0

tdf#96099 Remove some trivial typedef std::vector

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 54 Commit Notification 2018-06-01 10:31:45 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bea47ebdb4bb634ad647e3b653fa7e31d7c4b6ab

tdf#96099 Remove some trivial typedef std::vector

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 55 Commit Notification 2018-06-03 07:39:40 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62667aac83bd743fa98a5eaa946cc8088335f66c

tdf#96099 Remove some trivial std::vector typedefs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 56 Commit Notification 2018-06-07 05:30:16 UTC
Abhyudaya Sharma committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=251cb2a7b8b6c1f3fa6335911f0df38b23765da2

tdf#96099 Remove std::vector typedefs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 57 Commit Notification 2018-06-11 06:57:44 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3bd8759f5ed0393b2cc5560cab1b5d4052bd9728

tdf#96099 Remove some trivial std::vector typedefs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 58 Commit Notification 2018-06-12 05:35:52 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=51aa57cd8ed46d28262e0d315328231f0fa814f4

tdf#96099 Remove some trivial std::vector typedefs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 59 Commit Notification 2018-06-15 14:26:11 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1774599479c1b89ac048183c95e1ba9076dfe609

tdf#96099 Remove some trivial std::vector iterator typedefs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 60 Commit Notification 2018-06-23 11:10:50 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=849d5d9903e54c92682227dfad545664e4bbda53

tdf#96099 Remove some trivial std::vector typedefs in sc

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 61 Commit Notification 2018-06-23 11:14:20 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6441c2f2e20bc424c6a4cd1c2d704710e4d80346

tdf#96099 Remove trivial std::vector typedefs in sd, sfx2, shell

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 62 Commit Notification 2018-06-25 07:12:38 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=087213c6a27de31d36d9ccb72a514048a0bb7724

tdf#96099 Remove trivial container typedefs in stoc, svl, svx, sw

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 63 Commit Notification 2018-06-26 07:30:36 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=20c4a9ce69e73a182d60718e9b52510d66c8f20e

tdf#96099 Remove some trivial container iterator typedefs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 64 Commit Notification 2018-06-27 06:40:20 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38b14b248029ea65fc778ede06e8b426b74451da

tdf#96099 Remove some trivial std::deque typedefs

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 65 Commit Notification 2018-06-27 20:11:23 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f17eb4c84d0ac67fad9fc22dae19dc530185f68e

tdf#96099 Remove *HandlerPtr typedefs in writerfilter

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 66 Commit Notification 2018-06-29 06:47:25 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5437eb15ad3975b11c6eefe77dfd6687e0e73f81

tdf#96099 Remove trivial std::map typedefs in [cd]*

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 67 Arkadiy Illarionov 2018-06-29 17:31:26 UTC
https://lists.freedesktop.org/archives/libreoffice/2018-June/080462.html

Can I continue work on this bug?
Comment 68 Stephan Bergmann 2018-07-02 11:36:41 UTC
Setting to RESOLVED/FIXED as per the mail thread starting at <https://lists.freedesktop.org/archives/libreoffice/2018-June/080462.html> "Close EasyHack tdf#96099 'Reduce number of typedefs used for trivial container types'?":

"While there are certainly the obviously silly, use-once cases like

   typedef std::vector<int> IntVector;
   IntVector v = ...;

there are also cases where such a typedef introduces domain-specific vocabulary into a (larger) portion of the code (e.g., see removal of such typedefs in 
<https://cgit.freedesktop.org/libreoffice/core/commit?id=89e0663c55f7f1763536a345d63111115c71ef26> 'tdf#96099 fix trival typedefs, Path to std::vector<OUString>' in configmgr and <https://cgit.freedesktop.org/libreoffice/core/commit?id=5437eb15ad3975b11c6eefe77dfd6687e0e73f81> 'tdf#96099 Remove trivial std::map typedefs in [cd]*' removing the Dependencies typedef from codemaker/source/javamaker/javatype.cxx).  In such cases, there is always a tension between keeping the code simple (in the sense of easily understood by using well-chosen names) and keeping the code simple (by not introducing unnecessary abstractions), and finding the right balance there is likely not an easy hack.

"(Tor's initial description, <https://bugs.documentfoundation.org/show_bug.cgi?id=96099#c0>, already warned about that, but it's not clear to me that that warning has always been taken into account adequately.)"
Comment 69 Commit Notification 2018-08-20 15:12:58 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0787ce8814e37972a0c968f60008d4e8722b6e27

Simplify containers iterations, tdf#96099 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 70 Commit Notification 2018-08-24 19:26:39 UTC
Arkadiy Illarionov committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d153882ca640ccc39460a09a6d5d10f1720c5b94

Remove redundant loop, tdf#96099 follow-up

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.